dots.v2.databases.byDatabase_cluster_uuid().schemaRegistry.bySubject_name().get()
Generated on 5 Nov 2026
from DoTs version
v1.23.0
Usage
client.v2.databases.byDatabase_cluster_uuid(database_cluster_uuid).schemaRegistry.bySubject_name(subject_name).get(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Kafka_schema_version_verbose>Description
To get a specific schema by subject name for a Kafka cluster, send a GET request to
/v2/databases/{database_cluster_uuid}/schema-registry/{subject_name}.
Parameters
database_cluster_uuidstring requiredExample:
9cc10173-e9ea-4176-9dbc-a4cee4c4ff30A unique identifier for a database cluster.
subject_namestring requiredExample:
customer-schemaThe name of the Kafka schema subject.
Request Sample
Response Example
More Information
See /v2/databases/{database_cluster_uuid}/schema-registry/{subject_name} in the API reference for additional detail on responses, headers, parameters, and more.